sha256.h File Reference

SHA-224 and SHA-256 cryptographic hash function. More...

`#include "config.h"`
`#include <stddef.h>`
`#include <stdint.h>`
`#include "sha256_alt.h"`
Include dependency graph for sha256.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | mbedtls_sha256 (const unsigned char *input, size_t ilen, unsigned char output[32], int is224)
| Output = SHA-256( input buffer ) More...
int | mbedtls_sha256_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

SHA-224 and SHA-256 cryptographic hash function.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file sha256.h.

## Function Documentation

void mbedtls_sha256 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[32],
|  | int | is224
| ) |  |

Output = SHA-256( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | SHA-224/256 checksum result
  is224 | 0 = use SHA256, 1 = use SHA224

int mbedtls_sha256_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed